%define oravers 11.2.0.3.0

Summary: TNSNAMES.ORA updating mechanism for the ORACLE instantclient
Name: oracle-instantclient-tnsnames.ora
Version: %{oravers}
Release: 1%{?dist}
Source0: tnsnames-update.cron
Source1: tnsnames-update-config
Source2: tnsnames.ora
License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: oracle-instantclient-basic >= %{oravers}

%description
This wrapper package adds CERN-specific configuration information to
the ORACLE instantlient install:
* %{_sysconfdir}/tnsnames.ora and a cron job to update it hourly
This package is not tied to the exact ORACLE instantclient version.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

install -m 755 %SOURCE0 $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
install -m 644 -p %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
  # try to get fresh tnsnames on install
  %{_sysconfdir}/cron.hourly/tnsnames-update.cron || true
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.hourly/tnsnames-update.cron
%config(noreplace) %{_sysconfdir}/sysconfig/tnsnames-update-config
%config %{_sysconfdir}/tnsnames.ora



%changelog
* Fri Nov 30 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 11.2.0.3.0-1
- unified build 5/6
- bump version to match instantclient
* Fri Jan 27 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 11.2.0.2.0-2.slc6
- run cron job hourly

* Tue Jun  3 2008 Jan Iven <jan.iven@cern.ch> - 10.2.0.1-3.cern
- change download URL for CERN (oracle.support, CT528187)
- update contained tnsnames.ora copy.

* Thu Oct 25 2007 Jan Iven <jan.iven@cern.ch> 
- recreate .spec, update contained tnsnames.ora copy.

* Tue Apr 04 2006 Jan Iven <jan.Iven@cern.ch>

- go to single package for the TNSNAMES stuff, Matthias Saou's instantclient has the rest

* Thu Jan 26 2006 Jan Iven <jan.Iven@cern.ch>

- add updating mechanism for tnsnames.ora
- configure ld.so

* Tue Nov 01 2005 Jan van Eldik <Jan.van.Eldik@cern.ch>

- Initial build.

